// index.js
// 获取应用实例
const app = getApp()
const $request = require('../../utils/request.js');
Page({
    data: {
        currentIndex: 0,
        keyword: "",
        // tab
        tabData: [
            {
                text: "全部",
                code: "all"
            },
            {
                text: "我关注的",
                code: "my1"
            },
            {
                text: "工商类",
                code: "my2"
            },
            {
                text: "财税类",
                code: "my3"
            },
            {
                text: "公司转让",
                code: "my4"
            },
        ],
        currentTab: "all",
        // 更多tab
        moreTabOption:[
            { text: '资质类', value: "zizhi" },
            { text: '知识产权', value: "zhishi" },
            { text: '银行服务', value: "yinhang" },
            { text: '法律服务', value: "falv" },
            { text: '其他', value: "qita" },
        ],
        moreTab: "gengduo",
        moreTitle:"更多",
        listData: [],
        page: 1,
        size: 10,
        total: 0,
        onRefresh: true,
    },
    onLoad() {
        this.getListData();
    },
    // 搜索框输入同步值
    bindKeyInput: function (e) {
        this.setData({
            keyword: e.detail.value
        })
    },
    // 点击搜索
    toSearch(e) {
        console.log(this.data.keyword)
    },
    // tab切换
    tabChange(e) {
        let dataset = e.currentTarget.dataset;
        this.setData({
            currentTab: dataset.code,
            moreTitle:"更多",
        })
        this.getListData();
    },
    // 更多tab切换
    moreTabChange(e){
        let moreTitle = "";
        this.data.moreTabOption.forEach(el=>{
            if(el.value == e.detail){
                moreTitle = el.text;
            }
        })
        this.setData({
            currentTab: "more",
            moreTab:e.detail,
            moreTitle
        })
        this.getListData();
    },
    getListData() {
        let { page, size, keyword, currentTab, onRefresh, total,moreTab } = this.data;
        let type = currentTab;
        if(currentTab == 'more'){
            type = moreTab
        }
        console.log({ page, size, keyword, onRefresh, total, type });
        // $request.get('/businessCommunicationDemand/getDemandByKeywordOrType.action',
        //     { page, size }
        // ).then(res => {
        //     if (res.status == 0) {
        //         let tempListData = this.data.listData;
        //         let datas = res.data;
        //         tempListData.push(...datas.demandList);
        //         // f赋值，且设置总数
        //         this.setData({
        //             listData: tempListData,
        //             total: res.data.total,
        //         })
        //     }
        // }).catch(error => {
        //     console.log(error, 'error appletLogin')
        // })
    },
    // getListData() {
    //     let { page, size, keyword, currentTab, onRefresh,total } = this.data;
    //     $request.get('/businessCommunicationDemand/getDemandByKeywordOrType.action',
    //         { page, size }
    //     ).then(res => {
    //         // console.log(res);

    //         // let tempListData = this.data.listData;
    //         // if (res.status == 0) {
    //         //     let datas = res.data;
    //         //     // 先push数据
    //         //     tempListData.push(...datas.demandList);
    //         //     // 设置总数
    //         //     this.setData({
    //         //         listData: tempListData,
    //         //         total: res.data.total,
    //         //     })
    //         //     console.log(tempListData.length,this.data.total)
    //         //     // 如果数据大于了返回的总数
    //         //     if(tempListData.length >= this.data.total){
    //         //         // 停止累加数据
    //         //         this.setData({
    //         //             onRefresh: false
    //         //         })
    //         //     }else{
    //         //         this.setData({
    //         //             onRefresh: true
    //         //         })
    //         //     }
    //         //     this.setData({
    //         //         page: page + 1
    //         //     })
    //             // if()
    //             // if (datas != null && datas.demandList.length > 0) {
    //             //     if (onRefresh) {//false为重新刷新数据，true为分页累加数据
    //             //         this.setData({
    //             //             // total: 5,
    //             //             listData: this.data.listData.concat(datas.demandList), //累加list,
    //             //             page: page + 1
    //             //         });
    //             //     } else { 
    //             //         this.setData({
    //             //             // total: 5,
    //             //             listData: datas.demandList, //重新覆盖list,
    //             //             page: page + 1
    //             //         });
    //             //     }

    //             // } else {
    //             //     wx.showToast({
    //             //         title: '没有更多数据了',
    //             //         icon: 'none'
    //             //     })
    //             //     that.setData({
    //             //         isloading: true
    //             //     })

    //             // }
    //             // tempListData.push(...res.data.demandList);

    //             // console.log(this.data)
    //         }
    //     }).catch(error => {
    //         console.log(error, 'error appletLogin')
    //     })
    // },
    //     /**
    //    * 页面相关事件处理函数--监听用户下拉动作
    //    */
    //     onPullDownRefresh: function () {
    //         console.log('fresh')

    //         var that = this;
    //         that.setData({
    //             page: 1,
    //             size: 10,
    //             onRefresh: false //重新加载数据
    //         });
    //         //调用刷新时将执行的方法
    //         //0.5s加载显示，如果不加会一直显示加载中，造成不好的用户体验
    //         // var that = this
    //         wx.showNavigationBarLoading() //在标题栏中显示加载
    //         setTimeout(function () {
    //             wx.showLoading({
    //                 title: '加载中',//加载转圈显示
    //             });
    //             that.getListData();
    //             wx.hideNavigationBarLoading() //完成停止加载
    //             wx.stopPullDownRefresh() //停止下拉刷新
    //         }, 500);

    //     },

    //     /**
    //      * 页面上拉触底事件的处理函数
    //      */
    //     onReachBottom() {
    //         console.log('bottom');
    //         if(this.data.onRefresh){
    //             // wx.showLoading({
    //             //     title: '加载中',//加载转圈显示
    //             // });
    //             this.getListData();
    //         }
    //     },
})
